Skip to main content
`Ctrl`+`K`

# DMSwarmViewXDMF

Write `DMSWARM` fields to an XDMF3 file

## Synopsis

    #include "petscdmda.h"
    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmViewXDMF(DM dm, const char filename[])

Collective

## Input Parameters

- dm - the `DMSWARM`

- filename - the file name of the XDMF file (must have the extension .xmf)

## Note

Only fields user registered with data type `PETSC_DOUBLE` or `PETSC_INT` will be written into the file

## Developer Note

This should be removed and replaced with the standard use of `PetscViewer`

## See Also

`DM`, `DMSWARM`, `DMSwarmViewFieldsXDMF()`

## Level

beginner

## Location

src/dm/impls/swarm/swarmpic_view.c

## Examples

src/ksp/ksp/tutorials/ex70.c
src/dm/tutorials/ex20.c
src/dm/tutorials/ex21.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages